# $Revision: 1.11 $, $Date: 2011/08/31 18:27:04 $
Summary:	Client for the telnet remote login protocol with support for SSL
Summary(pl.UTF-8):	Klient protokołu telnet ze wsparciem dla SSL
Name:		telnet-ssl
Version:	0.17.24
Release:	3
License:	GPL
Group:		Networking
# based on debian (netkit-)telnet-ssl package
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	43a402139ed6b86434fdb83256feaad8
Source1:	telnetd-ssl.inetd
Patch0:		%{name}-debian.patch
Patch1:		%{name}-install.patch
# better url?
URL:		http://packages.debian.org/telnet-ssl
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The telnet command is used for interactive communication with another
host using the TELNET protocol.

SSL telnet(d) replaces normal telnet(d) using SSL authentication and
encryption. It interoperates with normal telnet(d) in both directions.
It checks if the other side is also talking SSL, if not it falls back
to normal telnet protocol.

Advantages over normal telnet(d): Your passwords and the data you send
will not go in cleartext over the line. Nobody can get it with tcpdump
or similar tools. With SSLtelnet you can also connect to https-server
like https://www.netscape.com.

%description -l pl.UTF-8
Polecenie telnet jest wykorzystywane do interaktywnej komunikacji z
innym komputerem przy użyciu protokołu TELNET.

Telnet(d)-SSL zastępuje telnet(d) dostarczając wersję rozszerzoną o
możliwość uwierzytelniania i szyfrowania SSL. Telnet(d)-SSL w pełni
współpracuje ze standardowym telnet(d) - sprawdza czy aplikacja po
drugiej stronie wspiera SSL, jeśli nie przełącza się do standardowego
protokołu TELNET.

Korzyści względem klasycznego telnet(d): hasła i dane nie będą wysłane
czystym tekstem. Nikt nie będzie mógł ich zobaczyć korzystając z
aplikacji takich jak tcpdump. Przy użyciu telnet-ssl możliwe jest
także połączenie się z serwerem www (n.p. https://www.netscape.com)
przy użyciu SSL.

%package -n telnetd-ssl
Summary:	Server for the telnet-ssl remote login protocol
Summary(pl.UTF-8):	Serwer usługi telnet-ssl
Group:		Networking
Requires:	inetdaemon
Requires:	login
Requires:	rc-inetd >= 0.8
Obsoletes:	inetutils-telnetd
Obsoletes:	telnet-server

%description -n telnetd-ssl
The telnet command is used for interactive communication with another
host using the TELNET protocol.

SSL telnet(d) replaces normal telnet(d) using SSL authentication and
encryption. It interoperates with normal telnet(d) in both directions.
It checks if the other side is also talking SSL, if not it falls back
to normal telnet protocol.

Advantages over normal telnet(d): Your passwords and the data you send
will not go in cleartext over the line. Nobody can get it with tcpdump
or similar tools. With SSLtelnet you can also connect to https-server
like https://www.netscape.com. Just do 'telnet www.netscape.com 443'.

This package provides server for the telnet-ssl.

%description -n telnetd-ssl -l pl.UTF-8
Polecenie telnet jest wykorzystywane do interaktywnej komunikacji z
innym komputerem przy użyciu protokołu TELNET.

Telnet(d)-SSL zastępuje telnet(d) dostarczając wersję rozszerzoną o
możliwość uwierzytelniania i szyfrowania SSL. Telnet(d)-SSL w pełni
współpracuje ze standardowym telnet(d) - sprawdza czy aplikacja po
drugiej stronie wspiera SSL, jeśli nie przełącza się do standardowego
protokołu TELNET.

Korzyści względem klasycznego telnet(d): hasła i dane nie będą wysłane
czystym tekstem. Nikt nie będzie mógł ich zobaczyć korzystając z
aplikacji takich jak tcpdump. Przy użyciu telnet-ssl możliwe jest
także połączenie się z serwerem www (n.p. https://www.netscape.com)
przy użyciu SSL.

Ten pakiet dostarcza serwer telnet-ssl.

%prep
%setup -q -n netkit-%{name}-%{version}+0.1.orig
%patch0 -p1
%patch1 -p1

sed -i -e "s|/usr/lib/telnetlogin|%{_sbindir}/telnetlogin|" telnetd/Makefile

%build
CFLAGS="%{rpmcflags} -D_GNU_SOURCE"
CXXFLAGS="%{rpmcflags} -D_GNU_SOURCE"
export CFLAGS CXXFLAGS
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--installroot=$RPM_BUILD_ROOT \
	--with-c-compiler="%{__cc}" \
	--with-c++-compiler="%{__cxx}"

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR="%{_mandir}" \
	SUB="telnet telnetd telnetlogin"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/telnetd

%clean
rm -rf $RPM_BUILD_ROOT

%post -n telnetd-ssl
%service -q rc-inetd reload

%postun -n telnetd-ssl
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/telnet-ssl
%{_mandir}/man1/telnet-ssl*

%files -n telnetd-ssl
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/telnetd
%attr(755,root,root) %{_sbindir}/in.telnetd
%attr(4750,root,adm) %{_sbindir}/telnetlogin
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telnet-ssl.spec,v $
Revision 1.11  2011/08/31 18:27:04  arekm
- release 3

Revision 1.10  2010/05/14 23:31:44  sparky
- BR: libstdc++-devel, ncurses-devel

Revision 1.9  2010/04/22 13:58:46  baggins
- rel 2
- no parallel build

Revision 1.8  2010/04/22 13:52:55  baggins
- rel 1

Revision 1.7  2010/04/22 13:49:35  baggins
- run telnetd as nobody:adm
- set telnetlogin perms and ownership accordingly

Revision 1.6  2010/04/22 13:39:41  baggins
- fixed path to telnetlogin

Revision 1.5  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.3  2006/05/12 21:49:45  qboosh
- pl fix

Revision 1.2  2006/04/28 09:12:55  glen
- rpmbuild macros for %service

Revision 1.1  2006/04/28 08:41:08  adamg
- new
